<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <title>Tamagotchi</title>
    
    <meta name="title" content="Tamagochi">
    <meta name="description" content="Jeu du tamagotchi: N'oubliez pas de vous occupez de ce petit animal !"> 
    <meta property="og:type" content="website">
    <meta property="og:title" content="Tamagochi">
    <meta property="og:description" content="Jeu du tamagochi: N'oubliez pas de vous occupez de ce petit animal !">
    
    <!--link rel="icon" type="image/png" sizes="32x32" href=""-->

    <!--bootstrap + feuille de style-->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" integrity="sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk" crossorigin="anonymous">
    <link rel="stylesheet" href="./assets/css/main.css">
    <!--google fonts-->
    <link href="https://fonts.googleapis.com/css2?family=Leckerli+One&display=swap" rel="stylesheet"> 
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;900&display=swap" rel="stylesheet"> 
</head>


<body>
    <div class="container-fluid">
        <div class="row min-vh-100 d-flex">
            <div class="col-12 col-md-8 pb-1">
                <div class="d-flex align-items-center flex-wrap">
                    <h1 class="text-left p-2 flex-grow-1">Tamagotchi</h1>
                    
                    <div id="reload" class="shadow-sm"><img src="./assets/images/refresh.svg" alt="refresh"></div>
                    <div id="start" class="shadow-sm"><img src="./assets/images/playpause.svg" alt="play and pause"></div>
                    <div id="game-mode" class="shadow-sm"><img src="./assets/images/switch.svg" alt="switch"></div>

                </div>
                
                <div id="animal" class="container d-flex justify-content-center my-sm-5">
                    <p id="miam"></p>
                    <img class="mt-1" id="animal-image" src="./assets/images/happy.gif" alt="Hamster">
                    <div id="gameover">
                        <p>
                        <span id="game-g">G</span><span id="game-a">A</span><span id="game-m">M</span><span id="game-e">E</span><span id="over-o">O</span><span id="over-v">V</span><span id="over-e">E</span><span id="over-r">R</span>
                        </p>
                    </div>
                </div>
                
                <div class="game-controls">
                    <div id="btn-container">
                        <div class="d-flex justify-content-between">
                            <div id="manger" class="bouton d-flex justify-content-center align-items-center m-2 p-2 shadow"><img src="./assets/images/noisette.svg" alt="noisette"></div>
                            <div id="boire" class="bouton d-flex justify-content-center align-items-center m-2 p-2 shadow"><img src="./assets/images/eau.svg" alt="réservoir d'eau"></div>
                            <div id="jouer" class="bouton d-flex justify-content-center align-items-center m-2 p-2 shadow"><img src="./assets/images/roue.svg" alt="roue"></div>
                        </div>
                    </div>

                    <div id="console-container">
                        <textarea class="bg-dark text-light p-1" id="console" maxlength="8" placeholder="Tapez une commande et pressez 'entrer'"></textarea>
                        <div class="bg-dark text-light p-1" id="feedback"></div>
                    </div>
                </div>

            </div> <!--end col-->

            <div class="col-12 col-md-4 bg-dark pt-1">

                <div class="vie my-md-5"> <!--vie-->
                    <div class="niveau-vie">
                        <svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 497 470" height="100%" id="heart">
                            <path id="heart-path" d="M140 20C73 20 20 74 20 140c0 135 136 170 228 303 88-132 229-173 229-303 0-66-54-120-120-120-48 0-90 28-109 69-19-41-60-69-108-69z"/>
                        </svg>
                    </div>
                </div>


                <div class="container my-md-5"> <!--jauges-->

                    <div id="faim" class="d-flex justify-content-center align-items-center">
                        <p class="label text-light my-2">FAIM</p>
                        <div class="jauge bg-light m-2 flex-grow-1">
                            <div class="niveau"></div>
                        </div>
                        <p class="pourcent text-light my-2"><span class="valeur">100</span> %</p>
                    </div>

                    <div id="soif" class="d-flex justify-content-center align-items-center">
                        <p class="label text-light my-2">SOIF</p>
                        <div class="jauge bg-light m-2 flex-grow-1">
                            <div class="niveau"></div>
                        </div>
                        <p class="pourcent text-light my-2"><span class="valeur">100</span> %</p>
                    </div>

                    <div id="ennui" class="d-flex justify-content-center align-items-center">
                        <p class="label text-light my-2">ENNUI</p>
                        <div class="jauge bg-light m-2 flex-grow-1">
                            <div class="niveau"></div>
                        </div>
                        <p class="pourcent text-light my-2"><span class="valeur">100</span> %</p>
                    </div>

                </div>

                <div class="text-light p-2">
                    <h5 class="text-center">Règles du jeu</h5>
                    <p class="text-justify">Votre mission est de maintenir ce mignon petit hamster en vie. Pour cela, vous devez le nourrir avec des noisettes, l'hydrater avec de l'eau, et le distraire en le faisant courir dans sa roue.</p>
                    <p class="text-justify" id="regles-boutons">Cliquez sur <img class="small-svg" src="./assets/images/noisette.svg" alt="noisette"> pour 'noisette', <img class="small-svg" src="./assets/images/eau.svg" alt="eau"> pour 'eau' ou <img class="small-svg" src="./assets/images/roue.svg" alt="roue"> pour 'roue'.</p>
                    <p class="text-justify" id="regles-console">Tapez une commande (<span class="text-green">noisette</span>, <span class="text-blue">eau</span> ou <span class="text-yellow">roue</span>), puis pressez la touche 'entrer'.</p>
                </div>

            </div> <!--end col-->

        </div> <!--end row-->       
        
        

    </div> <!--end container-->   

<!-- Icons made by <a href="http://www.freepik.com/" title="Freepik">Freepik</a> from <a href="https://www.flaticon.com/" title="Flaticon"> www.flaticon.com</a> -->
    <!-- script -->
    <script src="./js/tamagochi.js"></script>
</body>
</html>


